Bug 251544 - misc/smssend: update to 3.6; takes MAINTAINER
Summary: misc/smssend: update to 3.6; takes MAINTAINER
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL: https://bsdforge.com/projects/misc/sm...
Keywords: buildisok, easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2020-12-02 20:10 UTC by Chris Hutchinson
Modified: 2020-12-04 08:11 UTC (History)
1 user (show)

See Also:


Attachments
svn diff for misc/smssend: updates to 3.6; takes MAINTAINER (1.97 KB, patch)
2020-12-02 20:10 UTC, Chris Hutchinson
no flags Details | Diff
svn diff (version 2) for misc/smssend: updates to 3.6; takes MAINTAINERship (1.98 KB, patch)
2020-12-03 16:38 UTC, Chris Hutchinson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2020-12-02 20:10:05 UTC
Created attachment 220184 [details]
svn diff for misc/smssend: updates to 3.6; takes MAINTAINER

This pr(1) updates misc/smssend to 3.6.

Changelog (smssend):

- new web site
- massive re(work|write) of web pages
- rewrite documentation (internal && web)
- some error handling fixes
- weed out broken (user submitted) scripts -- ongoing
- bump version

port:

Makefile
distinfo
pkg-descr

While here; take MAINTAINERship


====> Compressing man pages (compress-man)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)

Works good.

NOTE: misc/smssend is maintained by ports@ so approval is implicit

Thanks!

--Chris
Comment 1 Automation User 2020-12-02 20:26:11 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/224452874
Comment 2 Fernando Apesteguía freebsd_committer 2020-12-03 09:18:54 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Q/A:  Makefile: Consider defining LICENSE. It seems to be GPL
Comment 3 Chris Hutchinson 2020-12-03 16:38:31 UTC
Created attachment 220224 [details]
svn diff (version 2) for misc/smssend: updates to 3.6; takes MAINTAINERship

Sorry for the LICENSE omission. The patch is now complete.

Thanks!
Comment 4 commit-hook freebsd_committer 2020-12-04 08:10:58 UTC
A commit references this bug:

Author: fernape
Date: Fri Dec  4 08:10:42 UTC 2020
New revision: 556958
URL: https://svnweb.freebsd.org/changeset/ports/556958

Log:
  misc/smssend: update to 3.6 set MAINTAINER

  ChangeLog: https://bsdforge.com/projects/misc/smssend/files/ChangeLog

  Submitter becomes maintainer

  PR:	251544
  Submitted by:	portmaster@bsdforge.com

Changes:
  head/misc/smssend/Makefile
  head/misc/smssend/distinfo
  head/misc/smssend/pkg-descr
Comment 5 Fernando Apesteguía freebsd_committer 2020-12-04 08:11:21 UTC
Committed,

Thanks!